# Interface methods for submodule: BinaryShapeKeepNObjectsImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: BinaryShapeKeepNObjectsImageFilter
class BinaryShapeKeepNObjectsImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetFullyConnected(self, _arg: bool) -> None:
		""""""
		...

	def GetFullyConnected(self) -> bool:
		""""""
		...

	def FullyConnectedOn(self) -> None:
		""""""
		...

	def FullyConnectedOff(self) -> None:
		""""""
		...

	def SetBackgroundValue(self, _arg: int) -> None:
		""""""
		...

	def GetBackgroundValue(self) -> int:
		""""""
		...

	def SetForegroundValue(self, _arg: int) -> None:
		""""""
		...

	def GetForegroundValue(self) -> int:
		""""""
		...

	def GetNumberOfObjects(self) -> int:
		""""""
		...

	def SetNumberOfObjects(self, _arg: int) -> None:
		""""""
		...

	def GetReverseOrdering(self) -> bool:
		""""""
		...

	def SetReverseOrdering(self, _arg: bool) -> None:
		""""""
		...

	def ReverseOrderingOn(self) -> None:
		""""""
		...

	def ReverseOrderingOff(self) -> None:
		""""""
		...

	def GetAttribute(self) -> int:
		""""""
		...

	@overload
	def SetAttribute(self, _arg: int) -> None:
		""""""
		...

	@overload
	def SetAttribute(self, s: str) -> None:
		""""""
		...

